> ## Documentation Index
> Fetch the complete documentation index at: https://api.polymarketanalytics.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet 360

> Falcon Extensive Wallet Profile

**Platform:** Polymarket\
**Endpoint:** `POST /v2/semantic/retrieve/parameterized`\
**Authentication:** Bearer token

## Query parameters

All requests use `agent_id` `581` (Wallet 360). Set filters inside `params` in the playground — all values must be strings.

| Parameter | Type | Description |
| - | - | - |
| `proxy_wallet` | String | Wallet address (required). |
| `window_days` | String | Metrics window (for example, `3` or `3d`; also `1d`, `7d`, `30d`). |

## Example Request

```bash cURL theme={null}
curl --request POST \
  --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
  --header 'Authorization: Bearer YOUR_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_id": 581,
  "params": {
    "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
    "window_days": "3"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
}'
```

```python Python theme={null}
import requests

response = requests.post(
    "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
    headers={"Authorization": "Bearer YOUR_TOKEN"},
    json={
    "agent_id": 581,
    "params": {
        "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
        "window_days": "3"
    },
    "pagination": {
        "limit": 10,
        "offset": 0
    },
    "formatter_config": {
        "format_type": "raw"
    }
}
)

print(response.json())
```

```javascript JavaScript theme={null}
const response = await fetch("https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized", {
  method: "POST",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN",
    "Content-Type": "application/json"
  },
  body: JSON.stringify({
  "agent_id": 581,
  "params": {
    "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
    "window_days": "3"
  },
  "pagination": {
    "limit": 10,
    "offset": 0
  },
  "formatter_config": {
    "format_type": "raw"
  }
})
});

const data = await response.json();
```

## Example Response

```json theme={null}
{
  "timestamp": "",
  "params": {
    "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
    "window_days": "3"
  },
  "pagination": {
    "limit": 100,
    "offset": 0,
    "has_more": true
  },
  "data": {
    "results": [
      {
        "annualized_return": 4.7138,
        "avg_position_size": 2379.96,
        "best_trade": 75126.54,
        "calculation_window_days": 3,
        "calmar_ratio": null,
        "category_diversity_score": 1.6501,
        "coefficient_of_variation": 3.9035,
        "combined_risk_score": 10,
        "curve_smoothness": 0.0292,
        "date": "2026-03-15T00:00:00Z",
        "date_range_end": "2026-03-15T00:00:00Z",
        "date_range_start": "2026-03-13T00:00:00Z",
        "days_active": 3,
        "dominant_market_id": "0x42a016b0a4bdf4de840334551b04bda95fcf02e4626c60bb49e3b1f1530067a3",
        "dominant_market_pnl": -68490.68,
        "drawdown_frequency": 0,
        "edge_decay": null,
        "equity_curve_pattern": "volatile",
        "flagged_metrics": "{position_size_volatility}",
        "gain_to_pain_ratio": 100,
        "last_active": "2026-03-15T23:59:59.999999Z",
        "losing_trades": 2086,
        "market_concentration_ratio": 0.029,
        "markets_traded": 3146,
        "max_drawdown": 0,
        "max_position_pct": 0.3048,
        "num_markets_traded": 3146,
        "perfect_entry_count": 1204,
        "perfect_exit_count": 0,
        "perfect_timing_flag": false,
        "perfect_timing_score": 0.2258,
        "performance_by_category": "W3sicG5sIjogMTYxNzE3LjY4LCAidHJhZGVzIjogNjQwMCwgImNhdGVnb3J5IjogIk90aGVyIn0sIHsicG5sIjogNTgzMDguNTgsICJ0cmFkZXMiOiAyODUsICJjYXRlZ29yeSI6ICJXb3JsZCBFdmVudHMifSwgeyJwbmwiOiA0NzI1OS45OSwgInRyYWRlcyI6IDkzNSwgImNhdGVnb3J5IjogIlNwb3J0cyJ9LCB7InBubCI6IDIyNzk5LjEyLCAidHJhZGVzIjogODIsICJjYXRlZ29yeSI6ICJTY2llbmNlICYgVGVjaCJ9XQ==",
        "performance_trend": "improving",
        "position_size_consistency": 0,
        "position_size_volatility_flag": true,
        "profit_factor": 1.0972,
        "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
        "recovery_time_avg": 0,
        "risk_level": "LOW",
        "roi": 3.8743,
        "sharpe_ratio": 50,
        "similar_wallets_count": 0,
        "single_market_dependence_flag": false,
        "sortino_ratio": null,
        "statistical_confidence": 0.9966,
        "stddev_position_size": 4645.09,
        "suspicious_timing_trades": 0,
        "suspicious_win_rate_flag": false,
        "sybil_risk_flag": false,
        "sybil_risk_score": 0,
        "timing_anomaly_flag": false,
        "timing_hit_rate": 0,
        "timing_z_score": 0.61,
        "total_closed_positions": 2666,
        "total_invested": 7487360.92,
        "total_pnl": 290085.37,
        "total_timed_trades": 85719,
        "total_trades": 85719,
        "trade_size_stdev": 418.9442,
        "trade_timing_correlation_max": 0,
        "ulcer_index": 0,
        "win_rate": 0.522,
        "win_rate_last_30d": 0.5133,
        "win_rate_z_score": -5.37,
        "winning_trades": 2278,
        "worst_trade": -83113.9
      },
      {
        "annualized_return": -8.6915,
        "avg_position_size": 2045.27,
        "best_trade": 51771.41,
        "calculation_window_days": 3,
        "calmar_ratio": -86.6618,
        "category_diversity_score": 0.6255,
        "coefficient_of_variation": 4.0603,
        "combined_risk_score": 10,
        "curve_smoothness": 0.1176,
        "date": "2026-03-14T00:00:00Z",
        "date_range_end": "2026-03-14T00:00:00Z",
        "date_range_start": "2026-03-12T00:00:00Z",
        "days_active": 3,
        "dominant_market_id": "0x09eb95f347c8ca17d639371297175ed15f397c531e8ef13286382cda2a2595d1",
        "dominant_market_pnl": -178633.03,
        "drawdown_frequency": 0.3333,
        "edge_decay": null,
        "equity_curve_pattern": "volatile",
        "flagged_metrics": "{position_size_volatility}",
        "gain_to_pain_ratio": -0.776,
        "last_active": "2026-03-14T23:59:59.999999Z",
        "losing_trades": 1452,
        "market_concentration_ratio": 0.0507,
        "markets_traded": 2704,
        "max_drawdown": 0.1003,
        "max_position_pct": 0.4194,
        "num_markets_traded": 2704,
        "perfect_entry_count": 772,
        "perfect_exit_count": 0,
        "perfect_timing_flag": false,
        "perfect_timing_score": 0.172,
        "performance_by_category": "W3sicG5sIjogMjI3MzMuMjIsICJ0cmFkZXMiOiA1NiwgImNhdGVnb3J5IjogIlNjaWVuY2UgJiBUZWNoIn0sIHsicG5sIjogMTY5MzcuNDYsICJ0cmFkZXMiOiAyMTMsICJjYXRlZ29yeSI6ICJXb3JsZCBFdmVudHMifSwgeyJwbmwiOiAtODU5Mi43OSwgInRyYWRlcyI6IDUzODMsICJjYXRlZ29yeSI6ICJPdGhlciJ9LCB7InBubCI6IC00MjYxNTQuMzgsICJ0cmFkZXMiOiA4NjMsICJjYXRlZ29yeSI6ICJTcG9ydHMifV0=",
        "performance_trend": "improving",
        "position_size_consistency": 0,
        "position_size_volatility_flag": true,
        "profit_factor": 0.8539,
        "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
        "recovery_time_avg": 0,
        "risk_level": "LOW",
        "roi": -7.1437,
        "sharpe_ratio": -8.2487,
        "similar_wallets_count": 0,
        "single_market_dependence_flag": false,
        "sortino_ratio": -7.4996,
        "statistical_confidence": 0.9963,
        "stddev_position_size": 4447.27,
        "suspicious_timing_trades": 0,
        "suspicious_win_rate_flag": false,
        "sybil_risk_flag": false,
        "sybil_risk_score": 0,
        "timing_anomaly_flag": false,
        "timing_hit_rate": 0,
        "timing_z_score": 0.53,
        "total_closed_positions": 2244,
        "total_invested": 5530399.22,
        "total_pnl": -395076.48,
        "total_timed_trades": 64006,
        "total_trades": 72579,
        "trade_size_stdev": 350.6233,
        "trade_timing_correlation_max": 0,
        "ulcer_index": 5.7904,
        "win_rate": 0.5131,
        "win_rate_last_30d": 0.5118,
        "win_rate_z_score": -5.7,
        "winning_trades": 1530,
        "worst_trade": -178633.03
      }
    ]
  }
}
```


## OpenAPI

````yaml /api-reference/polymarket-wallet-360.openapi.json POST /api/v2/semantic/retrieve/parameterized
openapi: 3.1.0
info:
  title: Falcon API — Wallet 360
  version: 1.0.0
servers:
  - url: https://narrative.agent.heisenberg.so
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/semantic/retrieve/parameterized:
    post:
      tags:
        - Polymarket
      summary: Wallet 360
      description: >-
        Extensive wallet profile with performance and risk metrics over a
        selected time window.
      operationId: polymarketWallet360
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PolymarketWallet360Request'
            examples:
              default:
                summary: 3-day wallet profile
                value:
                  agent_id: 581
                  params:
                    proxy_wallet: '0x204f72f35326db932158cba6adff0b9a1da95e14'
                    window_days: '3'
                  pagination:
                    limit: 10
                    offset: 0
                  formatter_config:
                    format_type: raw
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolymarketWallet360Response'
        '400':
          description: Bad request — check params
        '401':
          description: Unauthorized — check your Bearer token
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized \
              --header 'Authorization: Bearer YOUR_TOKEN' \
              --header 'Content-Type: application/json' \
              --data '{
              "agent_id": 581,
              "params": {
                "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
                "window_days": "3"
              },
              "pagination": { "limit": 10, "offset": 0 },
              "formatter_config": { "format_type": "raw" }
            }'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.post(
                "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
                headers={"Authorization": "Bearer YOUR_TOKEN"},
                json={
                    "agent_id": 581,
                    "params": {
                        "proxy_wallet": "0x204f72f35326db932158cba6adff0b9a1da95e14",
                        "window_days": "3",
                    },
                    "pagination": {"limit": 10, "offset": 0},
                    "formatter_config": {"format_type": "raw"},
                },
            )

            print(response.json())
        - lang: javascript
          label: JavaScript
          source: |-
            const response = await fetch(
              "https://narrative.agent.heisenberg.so/api/v2/semantic/retrieve/parameterized",
              {
                method: "POST",
                headers: {
                  Authorization: "Bearer YOUR_TOKEN",
                  "Content-Type": "application/json",
                },
                body: JSON.stringify({
                  agent_id: 581,
                  params: {
                    proxy_wallet: "0x204f72f35326db932158cba6adff0b9a1da95e14",
                    window_days: "3",
                  },
                  pagination: { limit: 10, offset: 0 },
                  formatter_config: { format_type: "raw" },
                }),
              }
            );

            const data = await response.json();
components:
  schemas:
    PolymarketWallet360Request:
      type: object
      required:
        - params
      properties:
        agent_id:
          type: integer
          enum:
            - 581
          default: 581
          x-default: 581
          description: Wallet 360 agent ID.
        params:
          $ref: '#/components/schemas/PolymarketWallet360Params'
        pagination:
          $ref: '#/components/schemas/PolymarketWallet360Pagination'
        formatter_config:
          $ref: '#/components/schemas/PolymarketWallet360FormatterConfig'
    PolymarketWallet360Response:
      type: object
      readOnly: true
      properties:
        timestamp:
          type: string
          readOnly: true
        params:
          $ref: '#/components/schemas/PolymarketWallet360ResponseParams'
        pagination:
          type: object
          readOnly: true
          properties:
            limit:
              type: integer
              readOnly: true
            offset:
              type: integer
              readOnly: true
            has_more:
              type: boolean
              readOnly: true
        data:
          type: object
          readOnly: true
          properties:
            results:
              type: array
              readOnly: true
              items:
                type: object
                readOnly: true
                additionalProperties: true
        request_id:
          type: string
          readOnly: true
    PolymarketWallet360Params:
      type: object
      description: Filter parameters. All values must be strings.
      additionalProperties: false
      required:
        - proxy_wallet
        - window_days
      properties:
        proxy_wallet:
          type: string
          default: '0x204f72f35326db932158cba6adff0b9a1da95e14'
          description: Wallet address to retrieve the profile for.
        window_days:
          type: string
          enum:
            - '1'
            - '3'
            - '7'
            - '30'
            - 1d
            - 3d
            - 7d
            - 30d
          default: '3'
          description: Duration metrics are calculated over (for example, `3` or `3d`).
    PolymarketWallet360Pagination:
      type: object
      properties:
        limit:
          type: integer
          minimum: 1
          maximum: 200
          default: 10
          description: Maximum number of records returned per request.
        offset:
          type: integer
          minimum: 0
          default: 0
          description: Number of records to skip before returning results.
    PolymarketWallet360FormatterConfig:
      type: object
      properties:
        format_type:
          type: string
          enum:
            - raw
          default: raw
          description: Output format. Use "raw" for structured JSON.
    PolymarketWallet360ResponseParams:
      type: object
      readOnly: true
      properties:
        proxy_wallet:
          type: string
          readOnly: true
        window_days:
          type: string
          readOnly: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your Falcon API key from the dashboard

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.